/* library.h	James M Synge	16-Apr-1987	*/

/* This struct definition is designed to enable easy
 * extention of the Library structure with a particular
 * library's variables.
 */

#ifndef EXEC_TYPES_H
#include "exec/types.h"
#endif
#ifndef EXEC_NODES_H
#include "exec/nodes.h"
#endif
#ifndef EXEC_LIBRARIES_H
#include "exec/libraries.h"
#endif

struct ExtLibrary {
	/* First the standard Library */
	struct Library el_Lib;

	/* And now any library specific variables */

	/* Example: These show the form of the names
	 * such variables might have. */

/*	long el_var1;		*/
/*	long el_var2;		*/
/*	long el_var3;		*/
};

/* These accessor #define's are simple conveniences. */

#define el_Node		el_Lib.lib_Node
#define el_Flags	el_Lib.lib_Flags
#define el_pad		el_Lib.lib_pad
#define el_NegSize	el_Lib.lib_NegSize
#define el_PosSize	el_Lib.lib_PosSize
#define el_Version	el_Lib.lib_Version
#define el_Revision	el_Lib.lib_Revision
#define el_IdString	el_Lib.lib_IdString
#define el_Sum		el_Lib.lib_Sum
#define el_OpenCnt	el_Lib.lib_OpenCnt
